---
layout: news_item
title: "ORC 1.0.0 Released"
date: "2016-01-25 16:45:00 -0800"
author: omalley
version: 1.0.0
categories: [release]
---

The ORC team is excited to announce the release of ORC v1.0.0. This release
contains the native C++ ORC reader and some tools.

Release Artifacts:

- Source: [orc-1.0.0.tgz]({{site.dist}}/orc-1.0.0/orc-1.0.0.tgz)
- Git Tag: 
  [rel/release-1.0.0 (704d97e)](
  {{site.repository}}/releases/tag/rel%2Frelease-1.0.0)
- [GPG Signature]({{site.dist}}/orc-1.0.0/orc-1.0.0.tgz.asc)
  signed by [Owen O'Malley (3D0C92B9)]({{site.dist}}/KEYS)
- SHA 256: [8AD5111F 0CA3B72F]({{site.dist}}/orc-1.0.0/orc-1.0.0.tgz.mds)

The major features:

- Portable pure C++ ORC reader
- The C++ reader is known to work on:
    * CentOS and RHEL 5, 6, and 7
    * Debian 6 and 7
    * Ubuntu 12 and 14
    * Mac OS 10.10 and 10.11
- A file-contents command that prints the contents of the file as json records.
- A file-metadata command that prints the metadata of the file.
- Docker files for building and testing on various Linux distributions.
- Memory estimation for the reader.

Known issues:

- [ORC-1]({{site.jira}}/ORC-1) We are still working on moving the Java 
  reader and writer out of Hive's code base and thus it is not included here.
- [ORC-10]({{site.jira}}/ORC-10) When moving ORC files between timezones,
  different daylight savings rules will cause timestamps to shift in the C++
  reader.
- [ORC-40]({{site.jira}}/ORC-40) Predicate push down is not implemented in C++.
